b-form(autocomplete="off")
    b-row
        b-col(cols="12" md="4")
            label.form__label
                | Vía *
            ValidationProvider(name="Vía" v-slot="{ errors }" rules="required")
                multiselect(
                    placeholder="Selecciona un valor"
                    v-model="address.street_type"
                    :show-labels="false"
                    :searchable="true"
                    label="name"
                    track-by="name"
                    :options="streetTypesOptions"
                )
                .form__error {{ errors[0] }}
        b-col(cols="12" md="4")
            label.form__label
                | Dirección *
            ValidationProvider(name="Dirección" v-slot="{ errors }" rules="required")
                b-form-input(
                    v-model="address.street_1"
                )
                .form__error {{ errors[0] }}
        b-col(cols="12" md="4")
            label.form__label
                | Número *
            ValidationProvider(name="Número" v-slot="{ errors }" rules="required|numeric")
                b-form-input(
                    v-model="address.number"
                )
                .form__error {{ errors[0] }}

        b-col(cols="12" md="4")
            label.form__label
                | Planta
            ValidationProvider(name="Planta" v-slot="{ errors }" rules="numeric")
                b-form-input(
                    v-model="address.floor"
                )
                .form__error {{ errors[0] }}

        b-col(cols="12" md="4")
            label.form__label
                | Puerta
            b-form-input(
                v-model="address.door"
            )

        b-col(cols="12" md="4")
            label.form__label
                | Código postal *
            ValidationProvider(name="Código postal" v-slot="{ errors }" rules="required|numeric")
                b-form-input(
                    v-model="address.postal_code"
                )
                .form__error {{ errors[0] }}

        b-col(cols="12" md="4")
            label.form__label
                | Localidad *
            ValidationProvider(name="Ciudad" v-slot="{ errors }" rules="required")
                b-form-input(
                    v-model="address.city"
                )
                .form__error {{ errors[0] }}

        b-col(v-if="provincesOptions.length" cols="12" md="4")
            label.form__label
                | Provincia *
            ValidationProvider(name="Provincia" v-slot="{ errors }" rules="required")
                multiselect(
                    placeholder="Selecciona un valor"
                    v-model="address.state"
                    :show-labels="false"
                    :searchable="true"
                    label="name"
                    track-by="name"
                    :options="provincesOptions"
                )
                .form__error {{ errors[0] }}
        b-col(v-else cols="12" md="4")
            label.form__label
                | Provincia *
            ValidationProvider(name="Provincia" v-slot="{ errors }" rules="required")
                b-form-input(
                    v-model="address.state"
                )
                .form__error {{ errors[0] }}